Bug 1093355 - WebUI can not display all subscriptions in Content-> Red Hat Subscriptions
Summary: WebUI can not display all subscriptions in Content-> Red Hat Subscriptions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Tom McKay
QA Contact: sthirugn@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-01 14:04 UTC by Alex Krzos
Modified: 2019-09-26 18:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:25:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
UI with huge number of subscriptions loaded (75.33 KB, image/png)
2014-08-07 19:43 UTC, sthirugn@redhat.com
no flags Details

Description Alex Krzos 2014-05-01 14:04:29 UTC
Description of problem:
I can not view all of my subscriptions through the webui.  Upload a manifest, scroll on subscription page until loading spinner is shown.  

Version-Release number of selected component (if applicable):
RHEL 6.5 2.6.32-431.11.2.el6.x86_64
Satellite 6.0.3
candlepin-0.9.7-1.el6_5.noarch
katello-1.5.0-20.el6sat.noarch
pulp-server-2.3.1-0.4.beta.el6sat.noarch
rubygem-hammer_cli_katello-0.0.3-18.el6sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. Upload a manifest
2. Navigate to Content -> Red Hat Subscriptions
3. Scroll down on page to load more subscriptions

Actual results:
After first load of subscriptions, there is no other way to load more on to the page by scrolling up or down the page.  The count of shown subscriptions now displays "showing 20 of 0 (400 total)"

Expected results:
Ability to continue to scroll until seeing all subscriptions and correct display of the count of shown subscriptions.

Additional info:

Comment 3 Tom McKay 2014-06-23 10:31:01 UTC
https://github.com/Katello/katello/pull/4312

The subscription JSON output was incorrect when paging.

Comment 6 sthirugn@redhat.com 2014-08-07 19:43:15 UTC
Verified (see screenshot).  I got a manifest having 400 subscriptions from Alex Krzos.

Version Tested:
GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.38-1.el6sat.noarch
* foreman-compute-1.6.0.38-1.el6sat.noarch
* foreman-gce-1.6.0.38-1.el6sat.noarch
* foreman-libvirt-1.6.0.38-1.el6sat.noarch
* foreman-ovirt-1.6.0.38-1.el6sat.noarch
* foreman-postgresql-1.6.0.38-1.el6sat.noarch
* foreman-proxy-1.6.0.23-1.el6sat.noarch
* foreman-selinux-1.6.0.4-1.el6sat.noarch
* foreman-vmware-1.6.0.38-1.el6sat.noarch
* katello-1.5.0-28.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.57-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* sssd-ldap-1.11.5.1-3.el6.x86_64

Comment 7 sthirugn@redhat.com 2014-08-07 19:43:46 UTC
Created attachment 925012 [details]
UI with huge number of subscriptions loaded

Comment 9 Bryan Kearney 2014-09-11 12:25:24 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.